<?php
// admin/views/reports/expenses.php

$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');

$query = "SELECT COUNT(*) as expense_count, SUM(amount) as total_expenses 
          FROM expenses 
          WHERE created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";
$result = $conn->query($query);
$expenses = $result ? $result->fetch_assoc() : ['expense_count' => 0, 'total_expenses' => 0];
?>
<h2>Expenses Report</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/expenses">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<p>Expense Count: <?= number_format($expenses['expense_count']) ?></p>
<p>Total Expenses: TZS <?= number_format($expenses['total_expenses'] ?? 0) ?></p>
