<?php
// admin/views/reports/failed.php

$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');
$date_filter = " AND created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";

$query = "SELECT COUNT(*) as count, SUM(amount) as total_amount 
          FROM payments 
          WHERE status = 'failed' $date_filter";
$result = $conn->query($query);
$failed = $result ? $result->fetch_assoc() : ['count' => 0, 'total_amount' => 0];
?>
<h2>Failed Payment Report</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/failed">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<p>Count: <?= number_format($failed['count']) ?></p>
<p>Total Amount: TZS <?= number_format($failed['total_amount'] ?? 0) ?></p>
