<?php
// admin/views/reports/payment.php

$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}

$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');
$date_filter = " AND created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";

$query = "SELECT status, COUNT(*) as count, SUM(amount) as total_amount 
          FROM payments 
          WHERE 1=1 $date_filter 
          GROUP BY status";
$result = $conn->query($query);
$reports = [];
if ($result) {
    while($row = $result->fetch_assoc()){
       $reports[] = $row;
    }
}
?>
<h2>Payment Report (Grouped by Status)</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/payment">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<table class="table table-bordered">
    <thead>
        <tr>
            <th>Status</th>
            <th>Count</th>
            <th>Total Amount (TZS)</th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($reports as $row): ?>
        <tr>
            <td><?= htmlspecialchars($row['status']) ?></td>
            <td><?= number_format($row['count']) ?></td>
            <td><?= number_format($row['total_amount'] ?? 0) ?></td>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>
