<?php
// admin/views/reports/profit_loss.php

$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');
$date_filter = " AND created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";

// Get total sales from successful payments
$sales_query = "SELECT SUM(amount) as total_sales FROM payments WHERE status = 'success' $date_filter";
$sales_result = $conn->query($sales_query);
$sales = $sales_result ? $sales_result->fetch_assoc()['total_sales'] : 0;

// Get total expenses
$expenses_query = "SELECT SUM(amount) as total_expenses FROM expenses WHERE created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";
$expenses_result = $conn->query($expenses_query);
$expenses = $expenses_result ? $expenses_result->fetch_assoc()['total_expenses'] : 0;

// Calculate profit/loss
$profit = ($sales ?? 0) - ($expenses ?? 0);
?>
<h2>Profit/Loss Report</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/profit_loss">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<p>Total Sales: TZS <?= number_format($sales) ?></p>
<p>Total Expenses: TZS <?= number_format($expenses) ?></p>
<p><strong>Profit/Loss: TZS <?= number_format($profit) ?></strong></p>
