<?php
// admin/views/reports/sales.php

// Load database config (from project root)
$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}

// Date filters
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');
$date_filter = " AND created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";

// Query successful payments (sales)
$query = "SELECT SUM(amount) as total_sales, COUNT(*) as num_payments 
          FROM payments 
          WHERE status = 'success' $date_filter";
$result = $conn->query($query);
$sales = $result ? $result->fetch_assoc() : ['total_sales' => 0, 'num_payments' => 0];
?>
<h2>Sales Report (Successful Payments)</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/sales">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<p>Total Sales: TZS <?= number_format($sales['total_sales'] ?? 0) ?></p>
<p>Number of Payments: <?= number_format($sales['num_payments'] ?? 0) ?></p>
