<?php
// admin/views/reports/vouchers.php

$db = include __DIR__ . '/../../../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    die("Database connection failed: " . $conn->connect_error);
}
$start_date = $_GET['start_date'] ?? date('Y-m-01');
$end_date   = $_GET['end_date'] ?? date('Y-m-t');

$query = "SELECT COUNT(*) as total_vouchers, SUM(status = 'used') as used_vouchers 
          FROM vouchers 
          WHERE created_at BETWEEN '$start_date 00:00:00' AND '$end_date 23:59:59'";
$result = $conn->query($query);
$vouchers = $result ? $result->fetch_assoc() : ['total_vouchers' => 0, 'used_vouchers' => 0];
?>
<h2>Created Vouchers Report</h2>
<form method="GET" class="mb-4">
    <input type="hidden" name="view" value="reports/vouchers">
    <label>Start Date: <input type="date" name="start_date" value="<?= htmlspecialchars($start_date) ?>"></label>
    <label>End Date: <input type="date" name="end_date" value="<?= htmlspecialchars($end_date) ?>"></label>
    <button type="submit" class="btn btn-primary">Filter</button>
</form>
<p>Total Vouchers Created: <?= number_format($vouchers['total_vouchers']) ?></p>
<p>Used Vouchers: <?= number_format($vouchers['used_vouchers']) ?></p>
