<?php
// api/hotspot_active.php

// Load database configuration and establish a connection
$db = include __DIR__ . '/../config/database.php';
$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
if ($conn->connect_error) {
    http_response_code(500);
    echo json_encode(['error' => 'Database connection failed: ' . $conn->connect_error]);
    exit;
}

// Fetch MikroTik credentials from the settings table
$query = "SELECT `key`, `value` FROM settings WHERE `key` IN ('mikrotik_host', 'mikrotik_user', 'mikrotik_pass')";
$result = $conn->query($query);
$mikrotikSettings = [];
while ($row = $result->fetch_assoc()) {
    $mikrotikSettings[$row['key']] = $row['value'];
}
$conn->close();

// Assign credentials with defaults if not set
$routerHost = $mikrotikSettings['mikrotik_host'] ?? '10.5.50.1';
$routerUser = $mikrotikSettings['mikrotik_user'] ?? 'admin';
$routerPass = $mikrotikSettings['mikrotik_pass'] ?? 'TekiPOS92';

// Load the MikroTikAPI class
require_once __DIR__ . '/../core/MikroTikAPI.php';

$router = new MikroTikAPI($routerHost, $routerUser, $routerPass);
if ($router->connect()) {
    $activeHotspotUsers = $router->getActiveHotspotUsers();
    $router->disconnect();
} else {
    $activeHotspotUsers = [];
}

header('Content-Type: application/json');
echo json_encode($activeHotspotUsers);
?>
