<?php
// api/login.php

require_once '../config/database.php';
require_once '../config/credentials.php';
require_once '../core/MikroTikAPI.php';

$db = require '../config/database.php';
$creds = require '../config/credentials.php';

header('Content-Type: application/json');

$voucher = $_POST['voucher'] ?? null;
$ip = $_SERVER['REMOTE_ADDR'];

if (!$voucher) {
    echo json_encode(['success' => false, 'error' => 'Missing voucher code']);
    exit;
}

$conn = new mysqli($db['host'], $db['user'], $db['pass'], $db['dbname']);
$stmt = $conn->prepare("SELECT * FROM vouchers WHERE code = ? AND status = 'available'");
$stmt->bind_param("s", $voucher);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows === 0) {
    echo json_encode(['success' => false, 'error' => 'Invalid or used voucher']);
    exit;
}

$row = $result->fetch_assoc();

// Connect to MikroTik
$api = new MikroTikAPI($creds['mikrotik']['host'], $creds['mikrotik']['user'], $creds['mikrotik']['pass']);

if (!$api->connect()) {
    echo json_encode(['success' => false, 'error' => 'Cannot connect to MikroTik']);
    exit;
}

// Simulate login (in real setup, hotspot login integration or RADIUS is used)
// Here we just log the access
$stmt = $conn->prepare("INSERT INTO mikrotik_logins (ip_address, username, voucher_code) VALUES (?, ?, ?)");
$stmt->bind_param("sss", $ip, $row['code'], $voucher);
$stmt->execute();

// Mark voucher as used
$conn->query("UPDATE vouchers SET status = 'used', used_at = NOW() WHERE code = '{$voucher}'");

echo json_encode(['success' => true, 'message' => 'Login simulated']);
?>
