<?php
// api/router_status.php

require_once __DIR__ . '/../config/database.php';
$db = include __DIR__ . '/../config/database.php';

// For router credentials, you can either hardcode or fetch from your settings table.
// Here we use hardcoded credentials for demonstration.
require_once __DIR__ . '/../core/MikroTikAPI.php';

$routerHost = "10.5.50.1";
$routerUser = "admin";
$routerPass = "TekiPOS92";

$router = new MikroTikAPI($routerHost, $routerUser, $routerPass);
if ($router->connect()) {
    $status = $router->getStatus();
    $liveTraffic = $router->getLiveTraffic('ether1');
    $router->disconnect();
} else {
    $status = [];
    $liveTraffic = [];
}

// Helper function to force conversion to MB (assuming input is in KB)
function convertToMB($value, $precision = 2) {
    // Convert KB to MB: divide by 1024
    return round($value / 1024, $precision) . ' MB';
}

// Convert RAM and Storage values to MB if they are numeric
if (isset($status['ram']) && is_numeric($status['ram'])) {
    $status['ram'] = convertToMB($status['ram']);
}
if (isset($status['storage']) && is_numeric($status['storage'])) {
    $status['storage'] = convertToMB($status['storage']);
}

header('Content-Type: application/json');
echo json_encode([
    'status' => $status,
    'liveTraffic' => $liveTraffic
]);
?>
