<?php
// core/BeemSMS.php

class BeemSMS {
    private $apiKey;
    private $secret;
    private $sender;
    private $endpoint = 'https://apisms.beem.africa/v1/send'; // Beem Africa SMS API endpoint

    public function __construct($config) {
        $this->apiKey = $config['api_key'] ?? '8958ac9a7e7d9222';
        $this->secret = $config['secret'] ?? 'YTcyYjMwOWY0OGEzNDMwODhhMDgyNDI5NjlhODA4YTEyMjdhZjgwZTFlYzU5NjlmZmYwYTE4MTFiOGUyNTg4ZA==';
        $this->sender = $config['sender'] ?? 'TekiSOFT';
    }

    /**
     * Sends an SMS to a given phone number with the provided message.
     *
     * @param string $phone The recipient's phone number (including country code).
     * @param string $message The message to send.
     * @return array An array with 'success' (true/false) and either 'response' or 'error' key.
     */
    public function sendSMS($phone, $message) {
        $payload = [
            "source_addr" => $this->sender,
            "encoding" => "0",
            "message" => $message,
            "recipients" => [
                ["dest_addr" => $phone]
            ]
        ];

        $headers = [
            'Content-Type: application/json',
            'Authorization: Basic ' . base64_encode($this->apiKey . ':' . $this->secret)
        ];

        

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $this->endpoint);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

        $response = curl_exec($ch);
        $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        if (curl_errno($ch)) {
            $error_msg = curl_error($ch);
        }
        curl_close($ch);

        if (isset($error_msg)) {
            return ['success' => false, 'error' => $error_msg];
        }
        if ($httpcode === 200 || $httpcode === 201) {
            return ['success' => true, 'response' => json_decode($response, true)];
        } else {
            return ['success' => false, 'error' => "HTTP Code: $httpcode, Response: $response"];
        }
    }
}
?>
