<?php
// public/payment.php
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Buy WiFi Voucher - BLUE BANDO WiFi</title>
  <!-- Bootstrap 5 CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
  <!-- Optionally, include AdminLTE CSS for consistency with your admin UI -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/css/adminlte.min.css">
</head>
<body>
<div class="container my-4">
  <h2 class="mb-4">Purchase WiFi Voucher</h2>

  <!-- Packages Table -->
  <div class="card mb-4">
    <div class="card-header">
      <h3 class="card-title">Available Packages</h3>
    </div>
    <div class="card-body">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th>Package</th>
            <th>Duration</th>
            <th>Price (TZS)</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Package 1</td>
            <td>6 Hours</td>
            <td>500</td>
          </tr>
          <tr>
            <td>Package 2</td>
            <td>24 Hours</td>
            <td>1000</td>
          </tr>
          <tr>
            <td>Package 3</td>
            <td>3 Days</td>
            <td>2000</td>
          </tr>
          <tr>
            <td>Package 4</td>
            <td>7 Days</td>
            <td>5000</td>
          </tr>
          <tr>
            <td>Package 5</td>
            <td>30 Days</td>
            <td>15000</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <!-- Payment Form -->
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <h3>Make Payment</h3>
    </div>
    <div class="card-body">
      <form id="payment-form">
        <div class="mb-3">
          <label for="phone" class="form-label">Phone Number</label>
          <input type="text" class="form-control" id="phone" name="phone" placeholder="e.g. 2557XXXXXXXX" required>
        </div>
        <div class="mb-3">
          <label for="amount" class="form-label">Select Package</label>
          <select class="form-control" id="amount" name="amount" required>
            <option value="500">6 Hours - TZS 500</option>
            <option value="1000">24 Hours - TZS 1000</option>
            <option value="2000">3 Days - TZS 2000</option>
            <option value="5000">7 Days - TZS 5000</option>
            <option value="15000">30 Days - TZS 15000</option>
          </select>
        </div>
        <button type="submit" class="btn btn-success w-100">Pay Now</button>
      </form>
    </div>
  </div>
</div>

<!-- Bootstrap Modal for Voucher Code -->
<div class="modal fade" id="voucherModal" tabindex="-1" aria-labelledby="voucherModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="voucherModalLabel">Payment Successful</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>Your voucher code is:</p>
        <h3 id="voucher-code" class="text-center"></h3>
        <p>An SMS has been sent to your phone with voucher details.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-bs-dismiss="modal">OK</button>
      </div>
    </div>
  </div>
</div>

<!-- JavaScript: Bootstrap 5 JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
<script>
// Handle the payment form submission using AJAX
document.getElementById('payment-form').addEventListener('submit', function(e) {
    e.preventDefault();
    const form = e.target;
    const formData = new FormData(form);

    // Send payment request to your API endpoint
    fetch('../api/pay.php', {
        method: 'POST',
        body: formData
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            // Payment was successful: show the voucher popup
            showVoucherPopup(data.code);
        } else {
            alert('Payment failed: ' + (data.error || 'Unknown error'));
        }
    })
    .catch(error => {
        console.error('Error processing payment:', error);
        alert('An error occurred during payment processing.');
    });
});

// Function to display the voucher popup modal
function showVoucherPopup(voucherCode) {
    // Set the voucher code in the modal
    document.getElementById('voucher-code').innerText = voucherCode;
    // Show the modal using Bootstrap 5's Modal API
    const voucherModal = new bootstrap.Modal(document.getElementById('voucherModal'));
    voucherModal.show();
}
</script>
</body>
</html>
